Sun GlassFish(tm) Message Queue v4.4

## com.sun.messaging.jms
Class TransactionInProgressException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jms.JMSException
                  javax.jms.TransactionInProgressException
                      com.sun.messaging.jms.TransactionInProgressException

All Implemented Interfaces:
  com.sun.messaging.jmq.jmsclient.logging.Loggable, Serializable

    public class TransactionInProgressException

extends TransactionInProgressException
implements com.sun.messaging.jmq.jmsclient.logging.Loggable

This exception is thrown when an operation is invalid because a transaction is in progress. For instance, an attempt to call `Session.commit` when a session is part of a distributed transaction should throw a `TransactionInProgressException`.

See Also:
  Serialized Form

Constructor Summary
`TransactionInProgressException(String reason)` Constructs a `TransactionInProgressException` with the specified reason and with the error code defaulting to null.
`TransactionInProgressException(String reason, String errorCode)` Constructs a `TransactionInProgressException` with the specified reason and error code.
`TransactionInProgressException(String reason, String errorCode, Throwable cause)` Constructs a `TransactionInProgressException` with the specified reason, error code, and a specified cause.

Method Summary
`boolean` `getLogState()` get logging state of this object.
`void` `printStackTrace()` If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `TransactionInProgressException` and obtained via `javax.jms.JMSException.getLinkedException()`
`void` `printStackTrace(PrintStream s)` If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `TransactionInProgressException` and obtained via `javax.jms.JMSException.getLinkedException()`
`void` `printStackTrace(PrintWriter s)` If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `TransactionInProgressException` and obtained via `JMSException.getLinkedException()`
`void` `setLinkedException(Exception ex)` If running under J2SE1.4 or above, this method will also set the cause of the `TransactionInProgressException`.
`void` `setLogState(boolean state)` set state to true if this object is logged.

Methods inherited from class javax.jms.JMSException
`getErrorCode, getLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionInProgressException

    public TransactionInProgressException(String reason,
                                          String errorCode)

  Constructs a `TransactionInProgressException` with the specified reason and error code.

  Parameters:
    `reason` - a description of the exception
    `errorCode` - a string specifying the vendor-specific error code

### TransactionInProgressException

    public TransactionInProgressException(String reason)

  Constructs a `TransactionInProgressException` with the specified reason and with the error code defaulting to null.

  Parameters:
    `reason` - a description of the exception

### TransactionInProgressException

    public TransactionInProgressException(String reason,
                                          String errorCode,
                                          Throwable cause)

  Constructs a `TransactionInProgressException` with the specified reason, error code, and a specified cause.

  Parameters:
    `reason` - a description of the exception
    `errorCode` - a string specifying the vendor-specific error code
    `cause` - the cause. A `null` value is permitted, and indicates that the cause is non-existent or unknown.

Method Detail

### setLinkedException

    public void setLinkedException(Exception ex)

  If running under J2SE1.4 or above, this method will also set the cause of the `TransactionInProgressException`. When a backtrace of the `TransactionInProgressException` is printed using `printStackTrace` using `printStackTrace` a backtrace of the cause will also get printed.

  Overrides:
    `setLinkedException` in class `JMSException`
  Parameters:
    `ex` - the linked `Exception`

### printStackTrace

    public void printStackTrace()

  If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `TransactionInProgressException` and obtained via `javax.jms.JMSException.getLinkedException()`

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream s)

  If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `TransactionInProgressException` and obtained via `javax.jms.JMSException.getLinkedException()`

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter s)

  If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `TransactionInProgressException` and obtained via `JMSException.getLinkedException()`

  Overrides:
    `printStackTrace` in class `Throwable`

### setLogState

    public void setLogState(boolean state)

  set state to true if this object is logged.

  Specified by:
    `setLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
  Parameters:
    `state` - boolean

### getLogState

    public boolean getLogState()

  get logging state of this object.

  Specified by:
    `getLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
  Returns:
    boolean true if this object is logged.

Sun GlassFish(tm) Message Queue v4.4

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.